OpenVDB: ExpandLeafNodeRegion< TreeType > Struct Template Reference

OpenVDB 8.1.0

Public Types | Public Member Functions | List of all members
ExpandLeafNodeRegion< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | NodeMaskType = typename LeafNodeType::NodeMaskType
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| ExpandLeafNodeRegion (const TreeType &distTree, BoolTreeType &maskTree, std::vector< BoolLeafNodeType * > &maskNodes)
| ExpandLeafNodeRegion (const ExpandLeafNodeRegion &rhs, tbb::split)
BoolTreeType & | newMaskTree ()
void | join (ExpandLeafNodeRegion &rhs)
void | operator() (const tbb::blocked_range< size_t > &range)

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ NodeMaskType

using NodeMaskType = typename LeafNodeType::NodeMaskType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ ExpandLeafNodeRegion() [1/2]

ExpandLeafNodeRegion | ( | const TreeType & | distTree,
|  | BoolTreeType & | maskTree,
|  | std::vector< BoolLeafNodeType * > & | maskNodes
| ) |  |
| inline

## ◆ ExpandLeafNodeRegion() [2/2]

ExpandLeafNodeRegion | ( | const ExpandLeafNodeRegion< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | ExpandLeafNodeRegion< TreeType > & | rhs | ) |
| inline

## ◆ newMaskTree()

BoolTreeType& newMaskTree | ( |  | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h